Package com.smartgwt.client.util

# Class SystemDoneConfig

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.SystemDoneConfig

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `SystemWaitConfig`

public class SystemDoneConfig extends DataClass
Configuration object for `AutoTest.isSystemDone()`.

Note that this format is extended by `SystemWaitConfig` and `ElementWaitConfig`, used by `AutoTest.waitForSystemDone()` and `AutoTest.waitForElement()`.

Note also that `AutoTest.waitForSystemDone()` may have different default configuration from `AutoTest.isSystemDone()` - the default behavior for each option is documented on the appropriate config object type for the method.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemDoneConfig()`
  `SystemDoneConfig(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getIncludeFileLoader()`
  Should the system wait for any outstanding FileLoader requests to complete before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeNetworkOperations()`
  Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeRedraws()`
  Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeReflows()`
  Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeTimers()`
  Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?
  `static SystemDoneConfig`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `SystemDoneConfig`
  `setIncludeFileLoader(Boolean includeFileLoader)`
  Should the system wait for any outstanding FileLoader requests to complete before `AutoTest.isSystemDone()` returns true?
  `SystemDoneConfig`
  `setIncludeNetworkOperations(Boolean includeNetworkOperations)`
  Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?
  `SystemDoneConfig`
  `setIncludeRedraws(Boolean includeRedraws)`
  Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
  `SystemDoneConfig`
  `setIncludeReflows(Boolean includeReflows)`
  Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
  `SystemDoneConfig`
  `setIncludeTimers(Boolean includeTimers)`
  Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SystemDoneConfig

    public SystemDoneConfig()

  - ### SystemDoneConfig

    public SystemDoneConfig(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SystemDoneConfig getOrCreateRef(JavaScriptObject jsObj)

  - ### setIncludeFileLoader

    public SystemDoneConfig setIncludeFileLoader(Boolean includeFileLoader)
    Should the system wait for any outstanding FileLoader requests to complete before `AutoTest.isSystemDone()` returns true?
    Parameters:
      `includeFileLoader` - New includeFileLoader value. Default value is true
    Returns:
      `SystemDoneConfig` instance, for chaining setter calls

  - ### getIncludeFileLoader

    public Boolean getIncludeFileLoader()
    Should the system wait for any outstanding FileLoader requests to complete before `AutoTest.isSystemDone()` returns true?
    Returns:
      Current includeFileLoader value. Default value is true

  - ### setIncludeNetworkOperations

    public SystemDoneConfig setIncludeNetworkOperations(Boolean includeNetworkOperations)
    Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?

    If not explicitly set, `implicitNetworkWait` will be consulted

    Parameters:
      `includeNetworkOperations` - New includeNetworkOperations value. Default value is null
    Returns:
      `SystemDoneConfig` instance, for chaining setter calls

  - ### getIncludeNetworkOperations

    public Boolean getIncludeNetworkOperations()
    Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?

    If not explicitly set, `implicitNetworkWait` will be consulted

    Returns:
      Current includeNetworkOperations value. Default value is null

  - ### setIncludeRedraws

    public SystemDoneConfig setIncludeRedraws(Boolean includeRedraws)
    Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
    Parameters:
      `includeRedraws` - New includeRedraws value. Default value is false
    Returns:
      `SystemDoneConfig` instance, for chaining setter calls

  - ### getIncludeRedraws

    public Boolean getIncludeRedraws()
    Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
    Returns:
      Current includeRedraws value. Default value is false

  - ### setIncludeReflows

    public SystemDoneConfig setIncludeReflows(Boolean includeReflows)
    Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
    Parameters:
      `includeReflows` - New includeReflows value. Default value is false
    Returns:
      `SystemDoneConfig` instance, for chaining setter calls

  - ### getIncludeReflows

    public Boolean getIncludeReflows()
    Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
    Returns:
      Current includeReflows value. Default value is false

  - ### setIncludeTimers

    public SystemDoneConfig setIncludeTimers(Boolean includeTimers)
    Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?
    Parameters:
      `includeTimers` - New includeTimers value. Default value is false
    Returns:
      `SystemDoneConfig` instance, for chaining setter calls

  - ### getIncludeTimers

    public Boolean getIncludeTimers()
    Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?
    Returns:
      Current includeTimers value. Default value is false